<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.system.mapper.SysDictDataMapper">
    <resultMap type="org.dromara.system.domain.vo.SysDictDataVo" id="SysDictDeptResult">
    </resultMap>

    <sql id="selectDictDeptVo">
        SELECT dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, remark, tenant_id, create_dept, create_by, create_time, update_by, update_time
        FROM sys_dict_data
    </sql>

    <select id="dictTypeTenantIdMapper" resultMap="SysDictDeptResult">
        <include refid="selectDictDeptVo"/>
        WHERE dict_type = #{dictType} AND tenant_id = #{tenantId}
        ORDER BY dict_sort ASC
    </select>


</mapper>
